<form (ngSubmit)="save()" [formGroup]="form">
  <div class="mb-0 body-1" mat-dialog-title>
    <div>
      <h2 class="title m-0" fxLayout="row" fxLayoutAlign="start center">
        <ic-icon [icon]="icAssignment" class="ltr:mr-1 rtl:ml-1 text-secondary" fxFlex="none" size="24px"></ic-icon>
        <input [disabled]="role=='User'" [class.empty]="!form.get('name').value" class="hidden-input title bg-card"
          formControlName="name" fxFlex="auto">
        <button cdkFocusInitial class="text-secondary" mat-dialog-close mat-icon-button type="button">
          <mat-icon [icIcon]="icClose"></mat-icon>
        </button>
      </h2>

      <div class="body-2 text-secondary ltr:ml-10 rtl:mr-10" fxLayout="row" fxLayoutAlign="start center">
        <span>{{ board?.label }}</span>
        <div class="w-1 h-1 mx-2 bg-gray rounded-full"></div>
        <span>{{ list?.label }}</span>
      </div>
    </div>

    <div *ngIf="list?.label==='Proyectos'" class="mt-3 ltr:ml-10 rtl:mr-10" fxLayout="row wrap"
      fxLayoutAlign="space-between start">
      <div class="members" fxFlex="none">
        <div class="body-2 text-secondary">MIEMBROS</div>
        <div fxLayout="row" fxLayoutAlign="start center">
          <img *ngFor="let user of form.get('developers').value; let j = index" [matTooltip]="user.firstName"
            src="assets/img/demo/developer{{j}}.png" class="avatar" fxFlex="none">
          <div *ngIf="role!=='User'" (click)="memberSelect.open()"
            class="avatar text-secondary bg-app-bar cursor-pointer" fxFlex="none" fxLayout="row"
            fxLayoutAlign="center center">
            <ic-icon [icon]="icAdd" size="24px"></ic-icon>
          </div>
          <mat-select #memberSelect="matSelect" class="invisible w-0 h-0 text-sm" formControlName="developers"
            fxFlex="0 1 0px" multiple>
            <mat-option *ngFor="let user of developers;let j = index" [value]="user">
              <img src="assets/img/demo/developer{{j}}.png"
                class="avatar h-6 w-6 align-middle inline-block ltr:mr-2 rtl:ml-2">
              <span>{{ user.firstName }}</span>
            </mat-option>
          </mat-select>
        </div>
      </div>


    </div>

    <div *ngIf="role ==='User' && list?.label==='Tareas'" class="mt-3 ltr:ml-10 rtl:mr-10">
      <button  *ngIf="!project.timeReportDate" (click)="reportTime()" color="primary" mat-raised-button type="button">REPORTAR TIEMPO</button>
      <button  *ngIf="project.timeReportDate" (click)="reportTime()" color="primary" mat-button type="button">MODIFICAR TIEMPO</button>

      <button *ngIf="project.timeReportDate" (click)="deleteReport()" color="warn" mat-button  type="button">ELIMINAR REPORTE</button>
    </div>

    <div *ngIf="list?.label==='Tareas' && role!=='User'" class="mt-3 ltr:ml-10 rtl:mr-10">
      <mat-form-field *ngIf="list?.label==='Tareas'" fxFlex="none">
        <mat-label>Asignar desarrollador</mat-label>
        <mat-select formControlName="developer">
          <mat-option *ngFor="let option of developers" [value]="option.id">
            {{ option.firstName }}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <mat-form-field class="ltr:ml-10" *ngIf="list?.label==='Tareas'" fxFlex="none">
        <mat-label>Asignar proyecto</mat-label>
        <mat-select formControlName="project">
          <mat-option *ngFor="let option of projects" [value]="option.id">
            {{ option.name }}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
    <div *ngIf="project.timeReportDate && list?.label==='Tareas'">
      <h2 class="body-2 font-medium m-0 mt-6 text-secondary" fxLayout="row" fxLayoutAlign="start center">
        <ic-icon [icon]="icInsertComment" class="ltr:mr-4 rtl:ml-4" fxFlex="none" size="24px"></ic-icon>
        <span>REPORTE DE TIEMPO <strong>{{ project.time  }}H</strong></span>
      </h2>
      <div [ngClass]="{ 'bg-green text-contrast-white': project.timeReportDate }"
        class="box bg-app-bar text-secondary rounded caption">
        <ic-icon [icon]="icStar" inline="true" size="16px"></ic-icon>
        <span class="box-text">{{ project.timeReportDate| date:'medium' }}</span>
      </div>
    </div>
    <div *ngIf="!project.timeReportDate && list?.label==='Tareas'">
      <h2 class="body-2 font-medium m-0 mt-6 text-secondary" fxLayout="row" fxLayoutAlign="start center">
        <ic-icon [icon]="icInsertComment" class="ltr:mr-4 rtl:ml-4" fxFlex="none" size="24px"></ic-icon>
        <span>SIN REPORTE DE TIEMPO</span>
      </h2>
    </div>
    <mat-divider class="-mx-6 mt-6"></mat-divider>



  </div>

  <mat-dialog-content class="pb-6 content">

    <h2 class="body-2 font-medium m-0 mt-6 text-secondary" fxLayout="row" fxLayoutAlign="start center">
      <ic-icon [icon]="icDescription" class="ltr:mr-4 rtl:ml-4" fxFlex="none" size="24px"></ic-icon>
      <span>DESCRIPCION</span>
    </h2>

    <div class="ltr:ml-10 rtl:mr-10 mt-3" fxLayout="column">
      <mat-form-field appearance="outline" class="vex-dense-form-field body-1">
        <textarea cdkAutosizeMinRows="2" formControlName="description" matInput matTextareaAutosize
          placeholder="Add a description ..."></textarea>
      </mat-form-field>
    </div>

  </mat-dialog-content>

  <mat-dialog-actions *ngIf="role!=='User'" align="end">
    <button mat-button mat-dialog-close type="button">CANCELAR</button>
    <button color="primary" mat-raised-button type="submit">GUARDAR</button>
  </mat-dialog-actions>
</form>